KBUILDSYCOCA5(8)

NOMBRE
kbuildsycoca5 - Reconstruye la caché de configuración del sistema del escritorio de KService

RESUMEN

kbuildsycoca5 [OPCIONES...]

DESCRIPCIÓN

kbuildsycoca5, construye una caché binaria de los datos almacenados en .desktop y en los archivos del tipo MIME, .xml que la infraestructura KService utiliza para encontrar complementos, aplicaciones y otros servicios.

La biblioteca KService utiliza esta base de datos para proporcionar de manera eficiente la información solicitada.

Normalmente, los usuarios no necesitan ejecutar esta aplicación directamente. KService se ejecutará si es necesario, cuando cambie alguno de los archivos cuyos datos están en caché.

OPCIONES

--global
    Ignora cualquier archivo de configuración de usuario (enXDG_DATA_HOME). Esto solo está implementado actualmente en sistemas UNIX®.

--noincremental
    En vez de utilizar la caché existente y actualizar solo la información que ha cambiado o se ha añadido, inicia una caché vacía. Se ignora si se elige la opción --global.

--nosignal
    Normalmente, kbuildsycoca5 envía una señal a través de D-Bus una vez que la caché se ha actualizado para todas las aplicaciones que usan KService, de manera que siempre están trabajando con la última información. Esta opción anula dicho comportamiento.

--menutest
    Prueba la generación de la base de datos del menú de aplicaciones. En realidad, no construye la caché.

--testmode
    Usa el «modo prueba» de QStandardPaths par evitar interferir con los datos de usuario. Esto está pensado para utilizarlo con pruebas unitarias.

--track menu-id
    Rastrear el identificador de menú para depuración.

--author
    Mostrar información sobre el autor.

--license
    Mostrar información sobre la licencia.

-h, --help
    Mostrar un breve texto de ayuda.

-v , --version
    Mostrar información sobre la versión.

ARCHIVOS

cachedir/ksycoca5_[lang]_[sha1-of-dirs]
    Caché de KService generada por kbuildsycoca5. En sistemas UNIX®, cachedir es normalmente XDG_CACHE_HOME

CONSULTE TAMBIÉN

kded5(8), kdeinit5(8)

FALLOS

Use la herramienta de seguimiento de fallos de KDE[1] para informar de fallos.

AUTORES

Darian Lanx <content@openprojects.net>
    Escribió la documentación original.

Alex Merry <alexmerry@kde.org>
    Actualización de la documentación para KDE Frameworks 5.

NOTAS

1.  herramienta de seguimiento de fallos de KDE
    https://bugs.kde.org